shared librarry

Autor: Juergen Linder <Juergen.Linder_at_gmx.de>
Datum: Thu, 14 May 2009 15:57:41 +0200
hi zusammen,

noch eine kleine Frage zum Verständnis.
Ich benutzte in Linux in meinem Programm eine shared librarry.
Soweit geht alles.
Die shared librarry gibt es in zwei Versionen.
a) 32-Bit Version
b) 64-Bit Version
Nun zu meiner Frage:
wenn ich die 32-Bit Version installiere bekomme ich folgende
Fehlermeldung:
Cannot find dynamic librarry /usr/lib/liblumax.so;
/usr/lib/liblumax.so: wrong ELF class: ELFCKASS32
obwohl ich nur ein 32-Bit-Rechner habe.
Wenn ich die 64-Bit Version installiere läuft die shared librarry
einwandfrei.
Gibt es eine Möglichkeit auch eine 32-Bit Version laufen zu lassen?
Der Kernel ist 64-Bit.

Gruss
Jürgen

-- 
viele Grüße e vy 73
wünscht Jürgen

--
http://mailman.uugrn.org/mailman/listinfo/uugrn
Wiki: http://wiki.uugrn.org/wiki/UUGRN:Mailingliste
Archiv: http://lists.uugrn.org/
Empfangen am 14.05.2009

Dieses Archiv wurde generiert von hypermail 2.2.0 : 14.05.2009 CEST